
From: "David S. Miller" <davem@davemloft.net>

Cc: Patrick McHardy <kaber@trash.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 net/netlink/af_netlink.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN net/netlink/af_netlink.c~netlink-log-protocol-failures net/netlink/af_netlink.c
--- devel/net/netlink/af_netlink.c~netlink-log-protocol-failures	2005-08-30 18:08:28.000000000 -0700
+++ devel-akpm/net/netlink/af_netlink.c	2005-08-30 18:08:28.000000000 -0700
@@ -398,8 +398,11 @@ static int netlink_create(struct socket 
 	if (nl_table[protocol].registered &&
 	    try_module_get(nl_table[protocol].module))
 		module = nl_table[protocol].module;
-	else
+	else {
+		printk("DEBUG: Failed to load PF_NETLINK protocol %d\n",
+		       protocol);
 		err = -EPROTONOSUPPORT;
+	}
 	groups = nl_table[protocol].groups;
 	netlink_unlock_table();
 
_
